Bug 250159 - net/py-wsdd: Create dedicated sandbox user instead of re-using daemon
Summary: net/py-wsdd: Create dedicated sandbox user instead of re-using daemon
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dimitry Andric
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-06 11:01 UTC by Dimitry Andric
Modified: 2020-10-08 21:36 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (hiroo.ono+freebsd)


Attachments
Create dedicated sandbox user for wsdd (1.63 KB, patch)
2020-10-06 11:01 UTC, Dimitry Andric
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dimitry Andric freebsd_committer 2020-10-06 11:01:19 UTC
Created attachment 218556 [details]
Create dedicated sandbox user for wsdd

I got interested in the wsdd port because I'm using samba with Windows 10 machines, and one minor point that I didn't like was that it used the generic "daemon" user.  I propose to use a dedicated "_wsdd" user (and primary group) instead, which I have added to the /usr/ports/{UID,GID} files. I chose the still free id 370, since wsdd uses port 3702.
Comment 1 Hiroo Ono 2020-10-07 13:44:26 UTC
Looks good. Thank you.
No objections from me.
Comment 2 commit-hook freebsd_committer 2020-10-07 17:15:22 UTC
A commit references this bug:

Author: dim
Date: Wed Oct  7 17:14:21 UTC 2020
New revision: 551655
URL: https://svnweb.freebsd.org/changeset/ports/551655

Log:
  Create dedicated sandbox user for wsdd service

  This changes the account the wsdd service runs under from the generic
  'daemon' user to its own dedicated '_wsdd' user.

  Approved by:	hiroo.ono+freebsd@gmail.com (maintainer)
  PR:		250159
  MFH:		2020Q4

Changes:
  head/GIDs
  head/UIDs
  head/net/py-wsdd/Makefile
  head/net/py-wsdd/files/patch-etc_rc.d_wsdd
Comment 3 commit-hook freebsd_committer 2020-10-08 21:35:23 UTC
A commit references this bug:

Author: dim
Date: Thu Oct  8 21:34:56 UTC 2020
New revision: 551735
URL: https://svnweb.freebsd.org/changeset/ports/551735

Log:
  MFH: r551655

  Create dedicated sandbox user for wsdd service

  This changes the account the wsdd service runs under from the generic
  'daemon' user to its own dedicated '_wsdd' user.

  Approved by:	ports-secteam (joneum)
  PR:		250159

Changes:
_U  branches/2020Q4/
  branches/2020Q4/GIDs
  branches/2020Q4/UIDs
  branches/2020Q4/net/py-wsdd/Makefile
  branches/2020Q4/net/py-wsdd/files/patch-etc_rc.d_wsdd
Comment 4 Dimitry Andric freebsd_committer 2020-10-08 21:36:40 UTC
Committed and merged to quarterly, thanks!